Bug 592052 - Need to backport upstream patch to allow optional parts of the libguestfs appliance into RHEL
Summary: Need to backport upstream patch to allow optional parts of the libguestfs app...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On: 592051
Blocks: 592053
TreeView+ depends on / blocked
 
Reported: 2010-05-13 18:37 UTC by Richard W.M. Jones
Modified: 2010-07-02 19:23 UTC (History)
2 users (show)

Fixed In Version: libguestfs-1.2.7-1.el6.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 19:23:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard W.M. Jones 2010-05-13 18:37:01 UTC
Description of problem:

We need to backport this upstream patch:

https://www.redhat.com/archives/libguestfs/2010-May/msg00083.html

This will allow us to build libguestfs with optional parts of the
libguestfs appliance (in particular, an optional part for Windows
support for V2V).

This is a risky patch, and needs a lot more testing before I'll
even put it upstream.

Comment 1 RHEL Product and Program Management 2010-05-13 19:06:31 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Lawrence Lim 2010-05-17 14:52:18 UTC
Hi Richard,
Do you have any suggestions on how we could test this patch effectively?

Comment 3 Richard W.M. Jones 2010-05-17 15:07:13 UTC
After installing the new package, just run:

libguestfs-test-tool

If that completes successfully, then it worked.

In general terms, this patch is so fundamental to the operation
of libguestfs that virtually any conceivable test of libguestfs/
guestfish/... that NAY have already implemented will test it.

Comment 4 Richard W.M. Jones 2010-05-18 12:14:56 UTC
Built in brew:
https://brewweb.devel.redhat.com/taskinfo?taskID=2451180

Comment 7 releng-rhel@redhat.com 2010-07-02 19:23:08 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.